Bug 68600 - properties dialog expands to screen size if long comment is entered
Summary: properties dialog expands to screen size if long comment is entered
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.0.1 rc
Hardware: x86-64 (AMD64) All
: highest normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.3.0 target:4.2.5
Keywords:
: 71061 (view as bug list)
Depends on:
Blocks: mab4.2
  Show dependency treegraph
 
Reported: 2013-08-27 10:42 UTC by Ulrich Moser
Modified: 2014-05-07 22:49 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot of malformatted properties dialog (103.86 KB, image/png)
2013-08-31 08:32 UTC, Ulrich Moser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Moser 2013-08-27 10:42:06 UTC
If a text longer than the current adit control width is entered in the properties dialog of a document the dialog expands next time it is opened to the whole available screen width extending to a second screen on dual head and thus making it hard to use. In Ubuntu 12.04 LTS with Unity the starter on the secodn screen hides part of the dialog. Same appears with long titles or subjects. Make controls role or scroll correctly.
Comment 1 Cor Nouws 2013-08-27 11:13:11 UTC
Hi Ulrich,

thanks for your report.
I guess it's the same as bug 66105 that should be fixed in 4.1.0.2 ...
Can you pls report your version of LibreOffice as given via Help > About ?
Cheers,
Cor
Comment 2 Ulrich Moser 2013-08-31 08:32:03 UTC
Created attachment 84957 [details]
screenshot of malformatted properties dialog

The screenshot shows the sizing error. My dual head display has a total width of 2966 and each screen has a Uity launcher on the left side which is 32 pixels wide. It seems that the dialog is sized to sreenwidth minus two time the launcher width.
Comment 3 Ulrich Moser 2013-08-31 08:34:48 UTC
I have just installed 4.1.1.2 Build ID: 410m0(Build:2) on my Ubuntu 12.04 LTS amd64 and the error still persists.
Comment 4 gui 2013-10-30 18:40:40 UTC
Sorry, I've opened bug 71061, really similar to this. Only change OS (WinXP) and version (4.1.2.3).
Comment 5 gui 2013-10-30 18:42:27 UTC
*** Bug 71061 has been marked as a duplicate of this bug. ***
Comment 6 Cor Nouws 2013-10-30 19:12:42 UTC
I see that bug 66105 fixex the problem for two fields, but not for the Notes/Remarks field
Comment 7 Ulrich Moser 2013-11-12 16:15:05 UTC
Bug still persists in Version: 4.1.3.2 Build ID: 410m0(Build:2)
Comment 8 gui 2014-01-15 21:37:19 UTC
Updated Version: the bug persists in 4.1.4.2 (over Windows at last)
Comment 9 Ulrich Moser 2014-01-16 07:11:38 UTC
(In reply to comment #8)
> Updated Version: the bug persists in 4.1.4.2 (over Windows at last)

I can confirm that it also persists on ubuntu Linux 12.04 LTS amd64 in LO 4.1.4.2.
Comment 10 Björn Michaelsen 2014-01-17 09:51:46 UTC
(This is an automated message.)

Setting priority to highest as this is a 4.1 MAB. This is part of an effort to make the importance of MAB reflected in priority too.
Comment 11 gui 2014-02-03 22:49:40 UTC
Updated version: bug persists un LO 4.2.0.4 Windows XP version
Comment 12 Adolfo Jayme 2014-03-12 07:27:50 UTC
The Version field is meant to reflect the oldest version a bug first appeared on, and there is no need to update it with every release - it's kind of obvious that a bug has not been fixed if you do not receive a commit (code change) notification. ;-)
Comment 13 tommy27 2014-05-03 19:06:16 UTC
I change platform to ALL since it has been reported both under Linux and Windows.

I can also reproduce it under Win7x64 with 4.2.3.3 and 4.3.0.0.alpha1+
Build ID: 0b03f7ed575838f90e6b1ebec3538a3a214f81fb
TinderBox: Win-x86@42, Branch:master, Time: 2014-04-30_02:30:23

I move it to the mab4.2 list since 4.1.x is END OF LIFE

-----------------------
I copy here an easy step-by-step guide to reproduce it found in duplicate Bug 71061.

Problem description: if you write a LONG description in the File/Properties Comment dialog box, it grows beyond the screen limits, at least in two head configs as mine

Steps to reproduce:
1. Open a new writter doc, open File/Properties and fill Comments with long text description.
2. Close Dialog with OK
3. Open again, and you should see a really wide dialog (images attached)

-----------------------

it seems that the property dialog expands taking the maximal width of the longest line entered by the user in the description

I am able to shrink it back to normal size by just simply splitting those lines with the enter key

I add C.McNamara to CC-list, since I've seen him fixing similar bugs.
Comment 14 Commit Notification 2014-05-07 11:27:19 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=087fcc43b13985b03d935dfd1e25a0d36d58cb1e

Resolves: fdo#68600 limit comment width



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 tommy27 2014-05-07 13:03:08 UTC
thanks Caolan... I knew you were "the Man"  :-)
Comment 16 Commit Notification 2014-05-07 22:49:39 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8943dc062b47df92fbd28dbee2dfd77be6e88775&h=libreoffice-4-2

Resolves: fdo#68600 limit comment width


It will be available in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.